View Issue Details

IDProjectCategoryView StatusLast Update
0001147SOGoBackend Calendarpublic2011-03-29 19:40
Reporteralcy Assigned Tofrancis  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.5 
Target Version1.3.6Fixed in Version1.3.6 
Summary0001147: Last occurrence of a recurring event not displayed - possible timezone problem ?
Description

The last occurrence of a recurring event is not displayed in the web interface.

Possibly related to my note on 0001143. http://sogo.nu/bugs/view.php?id=1143

Additional Information

A sample event from 23rd Feb to 28th Feb. The occurrence on 28th Feb is not displayed in the web interface. Does SOGo probably need to add the TZ parameters for RRULE as well ?

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:5206-4D638E00-1-211C210
SUMMARY:e1r
CREATED:20110222T102118Z
DTSTAMP:20110222T102118Z
LAST-MODIFIED:20110222T102247Z
DTSTART;TZID=/inverse.ca/20101018_1/Asia/Kolkata:20110223T120000
DTEND;TZID=/inverse.ca/20101018_1/Asia/Kolkata:20110223T130000
TRANSP:OPAQUE
RRULE:UNTIL=20110228T063000Z;FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR
SEQUENCE:1
END:VEVENT
BEGIN:VTIMEZONE
TZID:/inverse.ca/20101018_1/Asia/Kolkata
X-LIC-LOCATION:Asia/Kolkata
BEGIN:STANDARD
TZOFFSETFROM:+0530
TZOFFSETTO:+0530
TZNAME:IST
DTSTART:19700101T000000
END:STANDARD
END:VTIMEZONE
END:VCALENDAR

TagsNo tags attached.

Activities

alcy

alcy

2011-02-22 05:56

reporter   ~0002146

Ignore the comment about RRULE needing TZ parameters separately. Seems like it should inherit that information from DTSTART itself.

francis

francis

2011-03-29 19:40

administrator   ~0002305

Fixed in revision 553f303f1f7a6910069af8e49e3926e86bece4b7.

Issue History

Date Modified Username Field Change
2011-02-22 05:17 alcy New Issue
2011-02-22 05:56 alcy Note Added: 0002146
2011-03-24 10:47 francis Status new => assigned
2011-03-24 10:47 francis Assigned To => francis
2011-03-24 10:48 francis Target Version => 1.3.6
2011-03-29 19:40 francis Note Added: 0002305
2011-03-29 19:40 francis Status assigned => resolved
2011-03-29 19:40 francis Fixed in Version => 1.3.6
2011-03-29 19:40 francis Resolution open => fixed